import Footer from "@/components/main/Footer";
import Header from "@/components/main/Header";
import type { Metadata } from "next";
import { generateSeoPageMetadata } from "@/lib/i18n/server";

export async function generateMetadata(): Promise<Metadata> {
  return generateSeoPageMetadata("about");
}

export default function Layout({ children }: { children: React.ReactNode }) {
  return (
    <section className="pb-24">
      <Header />
      {children}
      <Footer />
    </section>
  );
}
